Name:           tagainijisho
Version:        1.0.1
Release:        2%{?dist}
Summary:        A free Japanese dictionary and study assistant

License:        GPLv3+ and CC-BY-SA
URL:            http://www.tagaini.net/
## Stripped tarball is generated as follows:
# $ wget https://github.com/Gnurou/tagainijisho/releases/download/%{version}/%{name}-%{version}.tar.gz
# $ ./strip.sh %{name}-%{version}.tar.gz
Source0:        %{name}-stripped-%{version}.tar.gz

BuildRequires:  qt-devel >= 4.5
BuildRequires:  cmake >= 2.8.1
BuildRequires:  sqlite-devel >= 3.8.1
BuildRequires:  desktop-file-utils
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-dic-en = %{version}-%{release}

%description
Tagaini Jisho is a free, open-source Japanese dictionary and kanji lookup tool
that is available for Windows, MacOS X and Linux and aims at becoming your
Japanese study assistant. It allows you to quickly search for entries and mark
those that you wish to study, along with tags and personal notes. It also let
you train entries you are studying and follows your progression in remembering
them. Finally, it makes it easy to review entries you did not remember by
listing them on screen or printing them on a small booklet.

Tagaini Jisho also features complete stroke order animations for more than
6000 kanji.

%package common
Summary:        Common files of Tagaini Jisho
License:        CC-BY-SA
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description common
Common files of Tagaini Jisho

%package dic-de
Summary:        Tagaini Jisho Japanese/German dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-de
A Japanese/German dictionary for Tagaini Jisho.

%package dic-en
Summary:        Tagaini Jisho Japanese/English dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-en
A Japanese/English dictionary for Tagaini Jisho.

%package dic-es
Summary:        Tagaini Jisho Japanese/Spanish dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-es
A Japanese/Spanish dictionary for Tagaini Jisho.

%package dic-fr
Summary:        Tagaini Jisho Japanese/French dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-fr
A Japanese/French dictionary for Tagaini Jisho.

%package dic-it
Summary:        Tagaini Jisho Japanese/Italian dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-it
A Japanese/Italian dictionary for Tagaini Jisho.

%package dic-pt
Summary:        Tagaini Jisho Japanese/Portuguese dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-pt
A Japanese/Portuguese dictionary for Tagaini Jisho.

%package dic-ru
Summary:        Tagaini Jisho Japanese/Russian dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-ru
A Japanese/Russian dictionary for Tagaini Jisho.

%package dic-th
Summary:        Tagaini Jisho Japanese/Thai dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-th
A Japanese/Thai dictionary for Tagaini Jisho.

%package dic-tr
Summary:        Tagaini Jisho Japanese/Turkish dictionary
License:        CC-BY-SA
BuildArch:      noarch
Provides:       %{name}-dic = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}

%description dic-tr
A Japanese/Turkish dictionary for Tagaini Jisho.


%prep
%setup -q
%{__rm} -rf ./3rdparty/sqlite

%build
%cmake .

make %{?_smp_mflags}


%install
%make_install

%find_lang %{name} --with-qt
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc doc/AUTHORS COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files common
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.css
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/doc
%{_datadir}/%{name}/jmdict.db
%{_datadir}/%{name}/kanjidic2.db

%files dic-de
%{_datadir}/%{name}/jmdict-de.db
%{_datadir}/%{name}/kanjidic2-de.db

%files dic-en
%{_datadir}/%{name}/jmdict-en.db
%{_datadir}/%{name}/kanjidic2-en.db

%files dic-es
%{_datadir}/%{name}/jmdict-es.db
%{_datadir}/%{name}/kanjidic2-es.db

%files dic-fr
%{_datadir}/%{name}/jmdict-fr.db
%{_datadir}/%{name}/kanjidic2-fr.db

%files dic-it
%{_datadir}/%{name}/jmdict-it.db
%{_datadir}/%{name}/kanjidic2-it.db

%files dic-pt
%{_datadir}/%{name}/jmdict-pt.db
%{_datadir}/%{name}/kanjidic2-pt.db

%files dic-ru
%{_datadir}/%{name}/jmdict-ru.db
%{_datadir}/%{name}/kanjidic2-ru.db

%files dic-th
%{_datadir}/%{name}/jmdict-th.db
%{_datadir}/%{name}/kanjidic2-th.db

%files dic-tr
%{_datadir}/%{name}/jmdict-tr.db
%{_datadir}/%{name}/kanjidic2-tr.db


%changelog
* Tue Feb 25 2014 Martin Sourada <mso@fedoraproject.org> - 1.0.1-2
- Update build-deps.

* Mon Feb 24 2014 Martin Sourada <mso@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1 (rhbz #1033895)
- Remove skip code from kanjidic2 (rhbz #969414) -- licence does not permit
  redistribution.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Martin Sourada <mso@fedoraproject.org> - 0.9.4-5
- Require -dic-en by main package for proper function on unsupported
  locales

* Sat Feb 09 2013 Martin Sourada <mso@fedoraproject.org> - 0.9.4-4
- Fix -common subpackage Summary and %%description
- Move more noarch files to -common subpackage
- Do not include separate licence text, they're not required by
  the licences, so shipping only those included in upstream
  tarball

* Fri Feb 08 2013 Martin Sourada <mso@fedoraproject.org> - 0.9.4-3
- Remove rm -rf %%{buildroot} from %%install
- Fix licences (JMdict and kanjidic2 are CC-BY-SA)
- Split -common subpackage with JMdict and kanjidic2 databases

* Mon Jan 14 2013 Martin Sourada <mso@fedoraproject.org> - 0.9.4-2
- Add missing BRs
- Remove 3rdparty/sqlite during prepapre -- not needed

* Sat Jan 05 2013 Martin Sourada <mso@fedoraproject.org> - 0.9.4-1
- Initial RPM package
